Name:           modello
Version:        1.11
Release:        1
Epoch:          0
Summary:        Modello Data Model toolkit
License:        ASL 2.0 and BSD and MIT
URL:            http://codehaus-plexus.github.io/modello
Source0:        http://repo2.maven.org/maven2/org/codehaus/%{name}/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch

BuildRequires:  maven-local mvn(junit:junit) mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-javac)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.jsoup:jsoup)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api) mvn(org.yaml:snakeyaml)
BuildRequires:  xmlunit

Requires:       javapackages-tools


%description
Modello is a framework for code generation from a simple model. Modello generates code
from a simple model format: based on a plugin architecture, various types of code and
descriptors can be generated from the single model, including Java POJOs, XML/JSON/YAML
marshallers/unmarshallers, XSD, JSON Schema and documentation.

%package help
Summary:        Help documentation for modello
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
API Help documentation for modello.

%prep
%autosetup -n modello-%{version} -p1
install -p %{SOURCE1} LICENSE
%pom_remove_plugin :maven-site-plugin
sed -i s/maven-project/maven-core/ modello-maven-plugin/pom.xml

%pom_disable_module modello-plugin-jackson modello-plugins
%pom_disable_module modello-plugin-jsonschema modello-plugins
%pom_remove_dep :modello-plugin-jackson modello-maven-plugin
%pom_remove_dep :modello-plugin-jsonschema modello-maven-plugin

%pom_disable_module modello-plugin-snakeyaml modello-plugins
%pom_remove_dep :modello-plugin-snakeyaml modello-maven-plugin

%build
%mvn_build -f -- -Dmaven.version=3.1.1

%install
%mvn_install
%jpackage_script org.codehaus.modello.ModelloCli "" "" modello:plexus-containers/plexus-container-default:plexus/classworlds:plexus/utils:plexus/plexus-build-api:xbean/xbean-reflect:guava %{name} true

%files -f .mfiles
%doc LICENSE
%{_bindir}/*

%files help -f .mfiles-javadoc

%changelog
* Tue Feb 08 2022 Ge Wang <wangge20@huawei.com> - 0:1.11-1
- Update to version 1.11

* Tue Mar 03 2020 daiqianwen <daiqianwen@huawei.com> - 0:1.9.1-8
- Package init
